import { Component, OnInit } from '@angular/core';
import { MyService } from '../my.service';

@Component({
  selector: 'ydlife-integration',
  templateUrl: './integration.component.html',
  styleUrls: ['./integration.component.scss']
})
export class IntegrationComponent implements OnInit {
  practitionerIntegrals:any
  constructor(private myService:MyService) { }

  ngOnInit() {
    this.queryPractitionerIntegral();
  }

  queryPractitionerIntegral(){
    this.myService.queryPractitionerIntegral({status:1,practitionerId:localStorage.getItem('lifeCustomerInfo')?JSON.parse(localStorage.getItem('lifeCustomerInfo'))['practitionerId']:null}).subscribe(res=>{
      if(res['success']){
        this.practitionerIntegrals = res['data']['practitionerIntegrals'][0]
      }
    })
  }

}
